repo(1)

NAME
repo - report events to a radmind server

SYNOPSIS
repo -e event [ -Vv ] [ -h host ] [ -p port ] [ -w auth-level ] [ -x ca-pem-file ] [ -y cert-pem-file ] [ -z private-key-file ] [ -Z compression-level ] [ message ... ]

DESCRIPTION
repo reports status messages to the radmind server. The administrator defines the event type with the -e option. The message is read from the command line or from standard input. The event and the message are logged by the server if repo succeeds.

OPTIONS

-e event
    the event type to report. This is limited to a single word, containing no white space.

-h host
    specifies the radmind server, by default radmind.

-p port
    specifies a port, by default 6222 .

-P ca-pem-directory
    specifies a directory that contains certificates to be used when verifying the server. Certificates must be in PEM format and the directory must have been processed with the openssl c_rehash utility.

-V  displays the version of repo, and exits.

-v  displays communication with the radmind server.

-w auth-level
    TLS authorization level, by default 0. 0 = no TLS, 1 = server verification, 2 = server and client verification.

-x ca-pem-file
    Certificate authority's public certificate, by default /var/radmind/cert/ca.pem. The default is not used when -P is specified.

-y cert-pem-file
    Client's public certificate, by default /var/radmind/cert/cert.pem.

-z private-key-file
    Client's private key, by default /var/radmind/cert/cert.pem.

-Z compression-level
    Compress all outbound data. compression-level can be between 0 and 9: 1 gives best speed, 9 gives best compression, 0 gives no compression at all (the input data is simply copied a block at a time).

EXIT STATUS
The following exit values are returned:

0   No errors.

>0  An error occurred.

SEE ALSO
radmind(8).